OK
AJAX error!

Les forumsGrammalecteCrash avec Grammalecte v0.4.10.4

Crash avec Grammalecte v0.4.10.4

Lorsqu’on écrit "Première lf" dans un nouveau fichier vide avec Libreoffice 4.3, le logiciel plante. Avec Libreoffice 5.x, une erreur est renvoyé sans que le LibreOffice plante :

Traceback (most recent call last):
File "/home/guillaume/Documents/libreoffice/lo-5.1/buildDbgUtil/instdir/user/uno_packages/cache/uno_packages/lu627ncn.tmp_/Grammalecte-v0.4.10.4.oxt/pythonpath/lightproof_impl_grammalecte.py", line 268, in proofread
sugg = GLOBALS[i[1][1:]](LOCALE, s, m)
File "/home/guillaume/Documents/libreoffice/lo-5.1/buildDbgUtil/instdir/user/uno_packages/cache/uno_packages/lu627ncn.tmp_/Grammalecte-v0.4.10.4.oxt/pythonpath/lightproof_impl_grammalecte.py", line 1582, in r1719
return switchGender(LOCALE,m.group(2))
File "/home/guillaume/Documents/libreoffice/lo-5.1/buildDbgUtil/instdir/user/uno_packages/cache/uno_packages/lu627ncn.tmp_/Grammalecte-v0.4.10.4.oxt/pythonpath/lightproof_impl_grammalecte.py", line 807, in switchGender
aSugg.add(suggFemSing(rLoc, sFlex))
File "/home/guillaume/Documents/libreoffice/lo-5.1/buildDbgUtil/instdir/user/uno_packages/cache/uno_packages/lu627ncn.tmp_/Grammalecte-v0.4.10.4.oxt/pythonpath/lightproof_impl_grammalecte.py", line 758, in suggFemSing
sStem = cr.getLemmaOfMorph(sMorph)
File "/home/guillaume/Documents/libreoffice/lo-5.1/buildDbgUtil/instdir/user/uno_packages/cache/uno_packages/lu627ncn.tmp_/Grammalecte-v0.4.10.4.oxt/pythonpath/cregex.py", line 88, in getLemmaOfMorph
return Lemma.search(s).group(1)
AttributeError: ’NoneType’ object has no attribute ’group’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/guillaume/Documents/libreoffice/lo-5.1/buildDbgUtil/instdir/user/uno_packages/cache/uno_packages/lu627ncn.tmp_/Grammalecte-v0.4.10.4.oxt/Lightproof.py", line 108, in doProofreading
xRes.aErrors = impl.parse(rText, rLocale, nStartOfSentencePos, xRes.nBehindEndOfSentencePosition, rProperties)
File "/home/guillaume/Documents/libreoffice/lo-5.1/buildDbgUtil/instdir/user/uno_packages/cache/uno_packages/lu627ncn.tmp_/Grammalecte-v0.4.10.4.oxt/pythonpath/lightproof_impl_grammalecte.py", line 181, in parse
s, errs = proofread(sText, rLocale, tPos[0], tPos[1], rProperties, i)
File "/home/guillaume/Documents/libreoffice/lo-5.1/buildDbgUtil/instdir/user/uno_packages/cache/uno_packages/lu627ncn.tmp_/Grammalecte-v0.4.10.4.oxt/pythonpath/lightproof_impl_grammalecte.py", line 303, in proofread
raise Exception(str(e), i[5])
Exception: ("’NoneType’ object has no attribute ’group’", ’1719-2’)





La modification suivante permet de corriger le problème ; en remplaçant dans le fichier "pythonpath/cregex.py" à la ligne 88 :

return Lemma.search(s).group(1)



par :

match = Lemma.search(s)
if match is None
____return None
return match.group(1)

le 14 décembre 2015 à 16:01
Je ne reproduis pas le problème.
Dans le menu Grammalecte > À propos, quelle version de Python est utilisée ?
le 15 décembre 2015 à 09:05
Bonjour,
Il y a une inversion de caractères :-)
Le bug apparait quand on écrit "Première fl" dans un document vide dans writer.
le 15 décembre 2015 à 10:58
Mince ! j’ai fait une inversion en écrivant, il s’agit de "Première fl" et non de "Première lf".
La version de python est la 3.3.5.

J’ai aussi oublié de préciser que la correction automatique et l’option "Accord de genre et de nombre" doivent être activées. Il faut évidemment que la langue d’édition soit en Français.
le 15 décembre 2015 à 11:46
Corrigé.
Un crash est un bug rédhibitoire, donc je vais publier une mise à jour corrective rapidement.
Merci pour le signalement du problème.
le 15 décembre 2015 à 11:58
Mise à jour publiée.
le 16 décembre 2015 à 09:18
Merci pour votre rapidité !
le 16 décembre 2015 à 10:36

Notification par e-mail    0